summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVictor Morales <v.morales@samsung.com>2020-10-05 18:42:01 -0400
committerGeorg Kunz <georg.kunz@ericsson.com>2020-10-12 18:35:11 +0000
commit84f092e7961684bc9125aa7740c56ceb6811798c (patch)
tree345a24451d4d858bf833ffc29482923e3c12738f
parentdf5c8c8dc61d605931ba8e92846479990a0193dd (diff)
Add yq checker
The yq parser is required by the deploy.env file to extract values from PDF and IDF files. This change ensures that binary is present. Signed-off-by: Victor Morales <v.morales@samsung.com> Change-Id: I5400bc4910ea88da74fab188bf1cfdbebe3cbed1 Reviewed-on: https://gerrit.opnfv.org/gerrit/c/kuberef/+/71230 Tested-by: jenkins-ci <jenkins-opnfv-ci@opnfv.org> Reviewed-by: Rihab Banday <rihab.banday@ericsson.com> Reviewed-by: Georg Kunz <georg.kunz@ericsson.com>
-rwxr-xr-xdeploy.sh6
-rwxr-xr-xfunctions.sh8
2 files changed, 11 insertions, 3 deletions
diff --git a/deploy.sh b/deploy.sh
index 2b1e3ce..5a012e7 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -19,9 +19,6 @@ set -o nounset
CURRENTPATH=$(git rev-parse --show-toplevel)
export CURRENTPATH
-# Source env variables & functions
-# shellcheck source=./deploy.env
-source "$CURRENTPATH/deploy.env"
# shellcheck source=./functions.sh
source "$CURRENTPATH/functions.sh"
@@ -30,6 +27,9 @@ source "$CURRENTPATH/functions.sh"
# ---------------------------------------------------------------------
check_prerequisites
+# shellcheck source=./deploy.env
+source "$CURRENTPATH/deploy.env"
+
# ---------------------------------------------------------------------
# bootstrap install prerequisites
# ---------------------------------------------------------------------
diff --git a/functions.sh b/functions.sh
index 25f76ea..f0e1213 100755
--- a/functions.sh
+++ b/functions.sh
@@ -50,6 +50,14 @@ check_prerequisites() {
fi
#-------------------------------------------------------------------------------
+ # Check is yq is installed
+ #-------------------------------------------------------------------------------
+ if ! command -v yq &> /dev/null; then
+ echo "ERROR : yq not found. Please install."
+ exit 1
+ fi
+
+ #-------------------------------------------------------------------------------
# Check is libvirt is installed
#-------------------------------------------------------------------------------
if ! command -v virsh &> /dev/null; then